# systems-ansible-playbooks

Manage servers with ansible

## K3s 

I'm not configuring k3s with ansble, it's configured with following flags

curl -sfL https://get.k3s.io | sh -s - server \
    --write-kubeconfig-mode=644 \
    --node-name="$(hostname -f)" \
    --kubelet-arg "allowed-unsafe-sysctls=net.ipv4.ip_forward" \
    --tls-san="$(hostname -I | awk '{print $1}')" \
    --disable-cloud-controller \
    --disable-helm-controller \
    --disable metrics-server \
    --disable local-storage \
    --disable traefik \
    --cluster-cidr="10.244.0.0/16" \
    --flannel-backend none \
    --disable coredns \
    --cluster-init \
