# hetzner-ansilbe-playbook

Repo for managing the Hetzner infrastructure

## Removing stuff

Since the state of the config is the ansible code itself, you can't just remove something from the code and expect that it's going to be removed from Hetzner.
Each entity has a variable `state`, to remove anything, you need to set state to `absent` and run the playbook. And only after that you can remove it from the code.

Also, please, create a git commit, where on object with the `absent` state is tracked.

## Outputs
After running the role you'll see three variables being logged in the last step:
- Server public IP -> It should be used for `ssh` connection to the server
- Load balancer public IP -> It should be used by k8s as the load balancer IP
- Volume device name -> It's the name of device that should be mounted to Longhorn

## Notes

### Resize the volume
Don't forget to resize the filesystem, it should be done manually
- https://docs.hetzner.com/cloud/volumes/faq/
